%define major		0
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d
%define upstreamname	libspnav

Name:			spnav
Version:		0.2.2
Release:		%mkrel 2
Summary:		Library for accessing 3D connection devices
License:		BSD
Group:			System/Libraries
Url:			http://sourceforge.net/projects/spacenav/
Source:			%{upstreamname}-%{version}.tar.gz
BuildRequires:		pkgconfig(x11)

%description
The libspnav library is provided as a replacement of the magellan library.
It provides a cleaner, and more orthogonal interface. libspnav supports
both the original X11 protocol for communicating with the driver, and the
new alternative non-X protocol. Programs that choose to use the X11
protocol, are automatically compatible with either the free spacenavd
driver or the official 3dxserv, as if they were using the magellan SDK.
 
Also, libspnav provides a magellan API wrapper on top of the new API. So,
any applications that were using the magellan library, can switch to
libspnav without any changes. And programmers that are familiar with the
magellan API can continue using it with a free library without the
restrictions of the official SDK.

%package -n %{libname}
Summary:		Library for accessing 3D connection devices
Group:			System/Libraries
Provides:		%{upstreamname} = %{version}-%{release}

%description -n %{libname}
The libspnav library is provided as a replacement of the magellan library.
It provides a cleaner, and more orthogonal interface. libspnav supports
both the original X11 protocol for communicating with the driver, and the
new alternative non-X protocol. Programs that choose to use the X11
protocol, are automatically compatible with either the free spacenavd
driver or the official 3dxserv, as if they were using the magellan SDK.
 
Also, libspnav provides a magellan API wrapper on top of the new API. So,
any applications that were using the magellan library, can switch to
libspnav without any changes. And programmers that are familiar with the
magellan API can continue using it with a free library without the
restrictions of the official SDK.

%files  -n %{libname} 
%doc README examples
%{_libdir}/%{upstreamname}.so.*

%package -n %{libnamedev}
Summary:		Include files for libspnav
Group:			Development/Other
Requires:		%{libname} = %{version}-%{release}
Provides:		%{_lib}%{name}-devel = %{version}-%{release}
Provides:		%{upstreamname}-devel = %{version}-%{release}

%description -n %{libnamedev}
The libspnav library is provided as a replacement of the magellan library.
It provides a cleaner, and more orthogonal interface. libspnav supports
both the original X11 protocol for communicating with the driver, and the
new alternative non-X protocol. Programs that choose to use the X11
protocol, are automatically compatible with either the free spacenavd
driver or the official 3dxserv, as if they were using the magellan SDK.
 
Also, libspnav provides a magellan API wrapper on top of the new API. So,
any applications that were using the magellan library, can switch to
libspnav without any changes. And programmers that are familiar with the
magellan API can continue using it with a free library without the
restrictions of the official SDK.

%files -n %{libnamedev}
%{_includedir}/*.h
%{_libdir}/%{upstreamname}.so


%prep  
%setup -q -n %{upstreamname}-%{version}

%build
%configure
%make

%install
install -D -m 644 %{upstreamname}.so.0.1 %{buildroot}%{_libdir}/%{upstreamname}.so.0.1
install -D -m 644 %{name}.h %{buildroot}%{_includedir}/%{name}.h
install -D -m 644 %{name}_magellan.h %{buildroot}%{_includedir}/%{name}_magellan.h
install -D -m 644 %{name}_config.h %{buildroot}%{_includedir}/%{name}_config.h
pushd %{buildroot}%{_libdir}
ln -s %{upstreamname}.so.0.1 %{upstreamname}.so.0
ln -s %{upstreamname}.so.0.1 %{upstreamname}.so
popd



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 382524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 barjac <barjac> 0.2.2-1.mga2
+ Revision: 214720
- Changed devel group
- imported package spnav

